//----------------------------------------------------------------------------
//  Project Test_At3dx_Viewer
//  MicroMouse Productions
//  Copyright  2010-2017. All Rights Reserved.
//  Author: Wayne Hogue
//
//---------------------------------------------------------------------------

#ifndef Test_At3dx_LocationsAppH
#define Test_At3dx_LocationsAppH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Buttons.hpp>
#include <Vcl.ComCtrls.hpp>
//---------------------------------------------------------------------------

#define LEN_LAYER_NAME       80
#define LEN_FILE_PATH        MAXPATH

//---------------------------------------------------------------------------

class TTest_At3dx_LocationsForm : public TForm
{
__published:	// IDE-managed Components
  TPanel *ViewPanel;
  TGroupBox *GroupBox23;
  TSpeedButton *ViewTop;
  TSpeedButton *ViewBack;
  TSpeedButton *ViewLeft;
  TSpeedButton *ViewFront;
  TSpeedButton *ViewRight;
  TSpeedButton *ViewBottom;
  TGroupBox *GroupBox19;
  TSpeedButton *GetCameraViewpoint;
  TSpeedButton *SetCameraViewpoint;
  TEdit *CameraXViewpoint;
  TEdit *CameraYViewpoint;
  TEdit *CameraZViewpoint;
  TGroupBox *GroupBox24;
  TSpeedButton *GetCameraFieldOfView;
  TSpeedButton *SetCameraFieldOfView;
  TSpeedButton *SetCameraFOV1;
  TSpeedButton *SetCameraFOV2;
  TEdit *CameraFieldOfView;
  TEdit *CameraStepFOV;
  TGroupBox *GroupBox20;
  TSpeedButton *GetCameraAngles;
  TSpeedButton *SetCameraAngles;
  TLabel *Label15;
  TSpeedButton *SetCameraRotateSpeed1;
  TSpeedButton *SetCameraRotateSpeed2;
  TSpeedButton *SetCameraXAngle1;
  TSpeedButton *SetCameraYAngle1;
  TSpeedButton *SetCameraZAngle1;
  TSpeedButton *SetCameraXAngle2;
  TSpeedButton *SetCameraYAngle2;
  TSpeedButton *SetCameraZAngle2;
  TEdit *CameraXAngle;
  TEdit *CameraYAngle;
  TEdit *CameraZAngle;
  TEdit *CameraRotateSpeed;
  TEdit *CameraStepAngle;
  TGroupBox *GroupBox21;
  TSpeedButton *SetCameraPan;
  TSpeedButton *SetCameraXPan1;
  TSpeedButton *SetCameraZPan1;
  TSpeedButton *SetCameraXPan2;
  TSpeedButton *SetCameraZPan2;
  TSpeedButton *ViewCenterX;
  TSpeedButton *ViewCenterZ;
  TEdit *CameraXPan;
  TEdit *CameraZPan;
  TEdit *CameraStepPan;
  TCheckBox *ReversePanDirection;
  TGroupBox *GroupBox22;
  TLabel *Label16;
  TLabel *Label17;
  TLabel *Label18;
  TSpeedButton *GetCameraInitialDistance;
  TSpeedButton *GetCameraDistance;
  TSpeedButton *GetCameraZoomSpeed;
  TSpeedButton *SetCameraInitialDistance;
  TSpeedButton *SetCameraDistance;
  TSpeedButton *SetCameraZoomSpeed1;
  TSpeedButton *SetCameraZoomSpeed2;
  TSpeedButton *SetCameraZoomSpeed3;
  TSpeedButton *SetCameraZoomSpeed4;
  TSpeedButton *SetCameraZoomSpeed5;
  TSpeedButton *SetCameraZoomSpeed6;
  TSpeedButton *ZoomIn;
  TSpeedButton *ZoomOut;
  TSpeedButton *ZoomReset;
  TEdit *CameraInitialDistance;
  TEdit *CameraDistance;
  TEdit *CameraZoomSpeed;
  TCheckBox *ReverseZoomDirection;
  TGroupBox *GroupBox14;
  TCheckBox *AlwaysShowCameraCursor;
  TCheckBox *TouchScreenInput;
  TCheckBox *UseTextures;
  TGroupBox *GroupBox30;
  TGroupBox *GroupBox31;
  TRadioButton *TypeWrl;
  TRadioButton *TypeObj;
  TSpeedButton *Read3dFile;
  TGroupBox *GroupBox32;
  TRadioButton *SetViewpoint_Middle;
  TRadioButton *SetViewpoint_Left;
  TGroupBox *GroupBox33;
  TRadioButton *LeftToggle_Rotate;
  TRadioButton *LeftToggle_Pan;
  TButton *MultiRead;
  TGroupBox *GroupBox42;
  TButton *SetViewpoint1;
  TButton *SetViewpoint2;
  TSpeedButton *ZoomAutomatic;
  TGroupBox *GroupBox45;
  TLabel *Label130;
  TSpeedButton *RotateX1Object;
  TSpeedButton *RotateX2Object;
  TSpeedButton *RotateX3Object;
  TLabel *Label131;
  TSpeedButton *RotateY1Object;
  TSpeedButton *RotateY2Object;
  TSpeedButton *RotateY3Object;
  TSpeedButton *RotateZ1Object;
  TSpeedButton *RotateZ2Object;
  TSpeedButton *RotateZ3Object;
  TLabel *Label132;
  TPageControl *PageControl1;
  TTabSheet *LocationsSheet;
  TTabSheet *CamerasSheet;
  TGroupBox *GroupBox103;
  TLabel *Label36;
  TLabel *ObstructionMessage;
  TGroupBox *GroupBox2;
  TGroupBox *GroupBox12;
  TLabel *Locations_Distance;
  TGroupBox *GroupBox13;
  TLabel *Label6;
  TLabel *Label14;
  TLabel *Label20;
  TLabel *Locations_DeltaX;
  TLabel *Locations_DeltaY;
  TLabel *Locations_DeltaZ;
  TGroupBox *GroupBox113;
  TGroupBox *GroupBox115;
  TLabel *Label170;
  TLabel *Label171;
  TLabel *Label172;
  TLabel *Location1_MeshX;
  TLabel *Location1_MeshY;
  TLabel *Location1_MeshZ;
  TGroupBox *GroupBox1;
  TLabel *Label1;
  TLabel *Label2;
  TLabel *Location1_ScreenX;
  TLabel *Location1_ScreenY;
  TGroupBox *Layer;
  TLabel *Location1_LayerName;
  TLabel *Label7;
  TGroupBox *GroupBox3;
  TGroupBox *GroupBox4;
  TLabel *Label3;
  TLabel *Label4;
  TLabel *Label5;
  TLabel *Location2_MeshX;
  TLabel *Location2_MeshY;
  TLabel *Location2_MeshZ;
  TGroupBox *GroupBox5;
  TLabel *Label9;
  TLabel *Label10;
  TLabel *Location2_ScreenX;
  TLabel *Location2_ScreenY;
  TGroupBox *GroupBox6;
  TLabel *Location2_LayerName;
  TLabel *Label11;
  TGroupBox *GroupBox7;
  TGroupBox *GroupBox11;
  TLabel *Label8;
  TLabel *Label12;
  TLabel *Label13;
  TLabel *Location0_MeshX;
  TLabel *Location0_MeshY;
  TLabel *Location0_MeshZ;
  TGroupBox *GroupBox9;
  TLabel *Label22;
  TLabel *Label23;
  TLabel *Location0_ScreenX;
  TLabel *Location0_ScreenY;
  TGroupBox *GroupBox10;
  TLabel *Location0_LayerName;
  TLabel *Label27;
  TButton *SwapEnds;
  TGroupBox *GroupBox8;
  TRadioButton *Locations_Off;
  TRadioButton *Locations_Measure;
  TRadioButton *Locations_Pause;
  TRadioButton *Locations_Continue;
  TGroupBox *GroupBox15;
  TLabel *Label21;
  TLabel *Label24;
  TLabel *Label25;
  TLabel *Label28;
  TLabel *Label29;
  TLabel *Label30;
  TPanel *Vertex2_Panel;
  TPanel *Vertex1_Panel;
  TPanel *Line_Panel;
  TEdit *LineWidth;
  TEdit *PointSize;
  TCheckBox *UseDepthTest;
  TCheckBox *DisplayVertices;
  TButton *SetRubberbandParameters;
  TGroupBox *GroupBox16;
  TLabel *Label26;
  TLabel *Label31;
  TLabel *Label32;
  TLabel *Label37;
  TPanel *Obstruction_Panel;
  TEdit *ObstructionPointSize;
  TCheckBox *DisplayObstructionVertex;
  TButton *SetObstructionParameters;
  TEdit *ObstructionSkipDistance;
  TGroupBox *GroupBox17;
  TGroupBox *GroupBox18;
  TLabel *Label33;
  TLabel *Label34;
  TLabel *Label35;
  TLabel *Obstruction_MeshX;
  TLabel *Obstruction_MeshY;
  TLabel *Obstruction_MeshZ;
  TGroupBox *GroupBox25;
  TLabel *Label39;
  TLabel *Label40;
  TLabel *Obstruction_ScreenX;
  TLabel *Obstruction_ScreenY;
  TGroupBox *GroupBox26;
  TLabel *Obstruction_LayerName;
  TLabel *Label44;
  TGroupBox *GroupBox27;
  TGroupBox *GroupBox28;
  TLabel *Obstruction_Distance;
  TGroupBox *GroupBox29;
  TLabel *Label46;
  TLabel *Label47;
  TLabel *Label48;
  TLabel *Obstruction_DeltaX;
  TLabel *Obstruction_DeltaY;
  TLabel *Obstruction_DeltaZ;
  TButton *ClipAtObstructionPoint;
  TButton *CheckForObstruction;
  TButton *UpdateScreenXY;
  TButton *UpdateObstruction;
  TGroupBox *GroupBox36;
  TGroupBox *GroupBox37;
  TLabel *Label42;
  TLabel *Label43;
  TLabel *Label45;
  TLabel *Label49;
  TLabel *Label50;
  TPanel *ObserverVertex_Panel;
  TPanel *ObserverLine_Panel;
  TEdit *ObserverLineWidth;
  TEdit *ObserverPointSize;
  TCheckBox *DisplayObserverLine;
  TCheckBox *DisplayObserverVertex;
  TButton *SetObserverParameters;
  TGroupBox *GroupBox38;
  TLabel *Label51;
  TLabel *Label52;
  TLabel *Label53;
  TEdit *Observer_DeltaX;
  TEdit *Observer_DeltaY;
  TEdit *Observer_DeltaZ;
  TCheckBox *UseObserver;
  TGroupBox *GroupBox39;
  TGroupBox *GroupBox40;
  TLabel *Label54;
  TLabel *Label55;
  TLabel *Label56;
  TLabel *Observer_MeshX;
  TLabel *Observer_MeshY;
  TLabel *Observer_MeshZ;
  TGroupBox *GroupBox41;
  TLabel *Label60;
  TLabel *Label61;
  TLabel *Observer_ScreenX;
  TLabel *Observer_ScreenY;
  TGroupBox *GroupBox47;
  TGroupBox *GroupBox43;
  TRadioButton *Zoom_Lock_None;
  TRadioButton *Zoom_Lock_In;
  TRadioButton *Zoom_Lock_Out;
  TRadioButton *Zoom_Lock_Both;
  TGroupBox *GroupBox46;
  TButton *Move_Camera_Back;
  TButton *Move_Camera_Ahead;
  TButton *Move_Camera_Left;
  TButton *Move_Camera_Turn_Left;
  TButton *Move_Camera_Turn_Right;
  TButton *Move_Camera_Up;
  TButton *Move_Camera_Down;
  TButton *Move_Camera_Right;
  TGroupBox *GroupBox48;
  TGroupBox *GroupBox35;
  TButton *ViewFromV1ToV2;
  TButton *ViewFromV2ToV1;
  TGroupBox *GroupBox49;
  TLabel *Label57;
  TLabel *Label58;
  TLabel *Label59;
  TEdit *Roaming_Eye_X;
  TEdit *Roaming_Eye_Y;
  TEdit *Roaming_Eye_Z;
  TEdit *Roaming_Center_X;
  TEdit *Roaming_Center_Y;
  TEdit *Roaming_Center_Z;
  TEdit *Roaming_Up_X;
  TEdit *Roaming_Up_Y;
  TEdit *Roaming_Up_Z;
  TButton *Roaming_Get;
  TButton *Roaming_Set;
  TEdit *Move_AheadBack_Step;
  TEdit *Move_RightLeft_Step;
  TEdit *Move_Turn_Step;
  TEdit *Move_UpDown_Step;
  TGroupBox *GroupBox34;
  TLabel *Label38;
  TLabel *Label41;
  TCheckBox *Axis_Lock_X;
  TCheckBox *Axis_Lock_Y;
  TCheckBox *Axis_Lock_Z;
  TCheckBox *Axis_Constrain_X;
  TCheckBox *Axis_Constrain_Y;
  TCheckBox *Axis_Constrain_Z;
  TButton *Get_Axis_X;
  TButton *Get_Axis_Y;
  TButton *Get_Axis_Z;
  TButton *Set_Axis_X;
  TButton *Set_Axis_Y;
  TButton *Set_Axis_Z;
  TEdit *Constrain_From_X;
  TEdit *Constrain_From_Y;
  TEdit *Constrain_From_Z;
  TEdit *Constrain_To_X;
  TEdit *Constrain_To_Y;
  TEdit *Constrain_To_Z;
  TLabel *Label62;
  TEdit *Total_Cameras;
  TButton *Add_Camera;
  TButton *Free_Roaming_Cameras;
  TCheckBox *Roaming_As_Displayed;
  TButton *Roaming_Get_From;
  TEdit *Get_From_CameraID;
  TGroupBox *GroupBox44;
  TListBox *CameraID_List;
  TLabel *Label63;
  TEdit *CameraID;
  TGroupBox *GroupBox50;
  TLabel *Label64;
  TListBox *Active_CameraID_List;
  TEdit *Active_CameraID;
  TLabel *Label19;
  TButton *ZeroCameraAngleX;
  TButton *ZeroCameraAngleY;
  TButton *ZeroCameraAngleZ;
  TButton *ZeroCameraAngleXYZ;
  TButton *Get_Axis_XYZ;
  TButton *Set_Axis_XYZ;
  TButton *Get_Roaming_Axis;
  TButton *Set_Roaming_Axis;
  TButton *Roaming_Up_Default;
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall Read3dFileClick(TObject *Sender);
  void __fastcall UseTexturesClick(TObject *Sender);
  void __fastcall AlwaysShowCameraCursorClick(TObject *Sender);
  void __fastcall TouchScreenInputClick(TObject *Sender);
  void __fastcall ViewFrontClick(TObject *Sender);
  void __fastcall ViewBackClick(TObject *Sender);
  void __fastcall ViewRightClick(TObject *Sender);
  void __fastcall ViewLeftClick(TObject *Sender);
  void __fastcall ViewTopClick(TObject *Sender);
  void __fastcall ViewBottomClick(TObject *Sender);
  void __fastcall GetCameraViewpointClick(TObject *Sender);
  void __fastcall SetCameraViewpointClick(TObject *Sender);
  void __fastcall GetCameraFieldOfViewClick(TObject *Sender);
  void __fastcall SetCameraFieldOfViewClick(TObject *Sender);
  void __fastcall SetCameraFOV1Click(TObject *Sender);
  void __fastcall SetCameraFOV2Click(TObject *Sender);
  void __fastcall SetCameraRotateSpeed1Click(TObject *Sender);
  void __fastcall SetCameraRotateSpeed2Click(TObject *Sender);
  void __fastcall GetCameraAnglesClick(TObject *Sender);
  void __fastcall SetCameraAnglesClick(TObject *Sender);
  void __fastcall SetCameraXAngle1Click(TObject *Sender);
  void __fastcall SetCameraXAngle2Click(TObject *Sender);
  void __fastcall SetCameraYAngle1Click(TObject *Sender);
  void __fastcall SetCameraYAngle2Click(TObject *Sender);
  void __fastcall SetCameraZAngle1Click(TObject *Sender);
  void __fastcall SetCameraZAngle2Click(TObject *Sender);
  void __fastcall SetCameraPanClick(TObject *Sender);
  void __fastcall SetCameraXPan1Click(TObject *Sender);
  void __fastcall SetCameraXPan2Click(TObject *Sender);
  void __fastcall SetCameraZPan1Click(TObject *Sender);
  void __fastcall SetCameraZPan2Click(TObject *Sender);
  void __fastcall ViewCenterXClick(TObject *Sender);
  void __fastcall ViewCenterZClick(TObject *Sender);
  void __fastcall ReversePanDirectionClick(TObject *Sender);
  void __fastcall GetCameraInitialDistanceClick(TObject *Sender);
  void __fastcall SetCameraInitialDistanceClick(TObject *Sender);
  void __fastcall GetCameraDistanceClick(TObject *Sender);
  void __fastcall SetCameraDistanceClick(TObject *Sender);
  void __fastcall GetCameraZoomSpeedClick(TObject *Sender);
  void __fastcall SetCameraZoomSpeed1Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed2Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed3Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed4Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed5Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed6Click(TObject *Sender);
  void __fastcall ZoomInClick(TObject *Sender);
  void __fastcall ZoomOutClick(TObject *Sender);
  void __fastcall ZoomResetClick(TObject *Sender);
  void __fastcall ReverseZoomDirectionClick(TObject *Sender);
  void __fastcall SwapEndsClick(TObject *Sender);
  void __fastcall Locations_OffClick(TObject *Sender);
  void __fastcall Locations_MeasureClick(TObject *Sender);
  void __fastcall Locations_PauseClick(TObject *Sender);
  void __fastcall Locations_ContinueClick(TObject *Sender);
  void __fastcall SetRubberbandParametersClick(TObject *Sender);
  void __fastcall SetObstructionParametersClick(TObject *Sender);
  void __fastcall Line_PanelClick(TObject *Sender);
  void __fastcall Vertex1_PanelClick(TObject *Sender);
  void __fastcall Vertex2_PanelClick(TObject *Sender);
  void __fastcall UseDepthTestClick(TObject *Sender);
  void __fastcall DisplayVerticesClick(TObject *Sender);
  void __fastcall Obstruction_PanelClick(TObject *Sender);
  void __fastcall DisplayObstructionVertexClick(TObject *Sender);
  void __fastcall CheckForObstructionClick(TObject *Sender);
  void __fastcall ClipAtObstructionPointClick(TObject *Sender);
  void __fastcall UpdateScreenXYClick(TObject *Sender);
  void __fastcall UpdateObstructionClick(TObject *Sender);
  void __fastcall TypeObjClick(TObject *Sender);
  void __fastcall TypeWrlClick(TObject *Sender);
  void __fastcall SetViewpoint_MiddleClick(TObject *Sender);
  void __fastcall SetViewpoint_LeftClick(TObject *Sender);
  void __fastcall LeftToggle_RotateClick(TObject *Sender);
  void __fastcall LeftToggle_PanClick(TObject *Sender);
  void __fastcall MultiReadClick(TObject *Sender);
  void __fastcall Axis_Lock_XClick(TObject *Sender);
  void __fastcall Axis_Lock_YClick(TObject *Sender);
  void __fastcall Axis_Lock_ZClick(TObject *Sender);
  void __fastcall Axis_Constrain_XClick(TObject *Sender);
  void __fastcall Axis_Constrain_YClick(TObject *Sender);
  void __fastcall Axis_Constrain_ZClick(TObject *Sender);
  void __fastcall Get_Axis_XClick(TObject *Sender);
  void __fastcall Set_Axis_XClick(TObject *Sender);
  void __fastcall Get_Axis_YClick(TObject *Sender);
  void __fastcall Set_Axis_YClick(TObject *Sender);
  void __fastcall Get_Axis_ZClick(TObject *Sender);
  void __fastcall Set_Axis_ZClick(TObject *Sender);
  void __fastcall ViewFromV1ToV2Click(TObject *Sender);
  void __fastcall ViewFromV2ToV1Click(TObject *Sender);
  void __fastcall ObserverLine_PanelClick(TObject *Sender);
  void __fastcall ObserverVertex_PanelClick(TObject *Sender);
  void __fastcall DisplayObserverLineClick(TObject *Sender);
  void __fastcall DisplayObserverVertexClick(TObject *Sender);
  void __fastcall SetObserverParametersClick(TObject *Sender);
  void __fastcall UseObserverClick(TObject *Sender);
  void __fastcall SetViewpoint1Click(TObject *Sender);
  void __fastcall SetViewpoint2Click(TObject *Sender);
  void __fastcall Zoom_Lock_NoneClick(TObject *Sender);
  void __fastcall Zoom_Lock_InClick(TObject *Sender);
  void __fastcall Zoom_Lock_OutClick(TObject *Sender);
  void __fastcall Zoom_Lock_BothClick(TObject *Sender);
  void __fastcall ZoomAutomaticClick(TObject *Sender);
  void __fastcall RotateX1ObjectClick(TObject *Sender);
  void __fastcall RotateX2ObjectClick(TObject *Sender);
  void __fastcall RotateX3ObjectClick(TObject *Sender);
  void __fastcall RotateY1ObjectClick(TObject *Sender);
  void __fastcall RotateY2ObjectClick(TObject *Sender);
  void __fastcall RotateY3ObjectClick(TObject *Sender);
  void __fastcall RotateZ1ObjectClick(TObject *Sender);
  void __fastcall RotateZ2ObjectClick(TObject *Sender);
  void __fastcall RotateZ3ObjectClick(TObject *Sender);
  void __fastcall Move_Camera_AheadClick(TObject *Sender);
  void __fastcall Move_Camera_BackClick(TObject *Sender);
  void __fastcall Move_Camera_RightClick(TObject *Sender);
  void __fastcall Move_Camera_LeftClick(TObject *Sender);
  void __fastcall Move_Camera_UpClick(TObject *Sender);
  void __fastcall Move_Camera_DownClick(TObject *Sender);
  void __fastcall Move_Camera_Turn_RightClick(TObject *Sender);
  void __fastcall Move_Camera_Turn_LeftClick(TObject *Sender);
  void __fastcall Roaming_GetClick(TObject *Sender);
  void __fastcall Roaming_SetClick(TObject *Sender);
  void __fastcall Add_CameraClick(TObject *Sender);
  void __fastcall Free_Roaming_CamerasClick(TObject *Sender);
  void __fastcall Roaming_As_DisplayedClick(TObject *Sender);
  void __fastcall Roaming_Get_FromClick(TObject *Sender);
  void __fastcall CameraID_ListClick(TObject *Sender);
  void __fastcall Active_CameraID_ListClick(TObject *Sender);
  void __fastcall ZeroCameraAngleXClick(TObject *Sender);
  void __fastcall ZeroCameraAngleYClick(TObject *Sender);
  void __fastcall ZeroCameraAngleZClick(TObject *Sender);
  void __fastcall ZeroCameraAngleXYZClick(TObject *Sender);
  void __fastcall Get_Axis_XYZClick(TObject *Sender);
  void __fastcall Set_Axis_XYZClick(TObject *Sender);
  void __fastcall Get_Roaming_AxisClick(TObject *Sender);
  void __fastcall Set_Roaming_AxisClick(TObject *Sender);
  void __fastcall Roaming_Up_DefaultClick(TObject *Sender);
private:	// User declarations
  void __fastcall Form_Setup(void);
  void __fastcall AppMessage(MSG &Msg, bool &Handled);
  void __fastcall MyIdleHandler(TObject *Sender, bool &Done);
  void __fastcall Start_DLL(void);
  void __fastcall Stop_DLL(void);
  void __fastcall Read_3D_File(Int32 multiFlag);
  //
  void __fastcall Display_Locations0(void);
  void __fastcall Display_Locations1(void);
  void __fastcall Display_Locations2(void);
  void __fastcall Display_LocationsObstruction(void);
  void __fastcall Display_LocationsObserver(void);
  void __fastcall Get_Locations0(void);
  void __fastcall Get_Locations1(void);
  void __fastcall Get_Locations2(void);
  void __fastcall Get_LocationsObstruction(void);
  void __fastcall Get_LocationsObserver(void);
  //
  void __fastcall GetCameraStepFOV(void);
  void __fastcall GetCameraRotateSpeed(void);
  void __fastcall GetCameraStepAngle(void);
  void __fastcall GetCameraStepPan(void);
  void __fastcall Get_All_ActiveCamera_Data(void);
  //
  void __fastcall Do_RGB_Panel(Int32 index);
  void __fastcall Do_ColorDialog(Int32* inColorPtr, Int32* outColorPtr);
  void __fastcall Pick_Color(Int32 index);
  void __fastcall Display_Rubberband_Data(Int32 item);
  //
  void __fastcall Display_Roaming_Parameters(void);
  void __fastcall Get_Roaming_Parameters(void);
  void __fastcall Get_Move_AheadBack_Step(void);
  void __fastcall Get_Move_RightLeft_Step(void);
  void __fastcall Get_Move_UpDown_Step(void);
  void __fastcall Get_Move_Turn_Step(void);
  void __fastcall Set_CameraID_List(void);
  void __fastcall Set_ActiveCameraID_List(void);
  //
  //
  Int32 sender_W8057_Flag;
  Int32 shift_W8057_Flag;
  Int32 done_W8057_Flag;
  Int32 spare1;                //  padding for align
  Int32 dllOpen;
  Int32 fileLoaded;
  char inName[MAX_PATH];
  Int32 inputFileType;
  Int32 useTexturesFlag;
  Int32 alwaysShowCameraCursorFlag;
  Int32 touchScreenInputFlag;
  //
  float rgbLineArray[3];
  float rgbPoint1Array[3];
  float rgbPoint2Array[3];
  float rgbObstructionArray[3];
  float rgbLineObserverArray[3];
  float rgbPointObserverArray[3];
  float lineWidth;
  float observerWidth;
  float pointSize;
  float pointObstructionSize;
  float observerSize;
  Int32 depthTestFlag;
  Int32 pointsFlag;
  Int32 obstructionDisplayFlag;
  Int32 observerLineFlag;
  Int32 observerPointFlag;
  Int32 haveObserverFlag;
  Int32 haveObstructionMessageFlag;
  //
  Int32 screenX0;
  Int32 screenX1;
  Int32 screenX2;
  Int32 screenXObstruction;
  Int32 screenXObserver;
  Int32 screenY0;
  Int32 screenY1;
  Int32 screenY2;
  Int32 screenYObstruction;
  Int32 screenYObserver;
  Int32 hitFlag0;
  Int32 hitFlag1;
  Int32 hitFlag2;
  Int32 hitFlagObstruction;
  Int32 hitFlagObserver;
  char layerName0[LEN_LAYER_NAME];
  char layerName1[LEN_LAYER_NAME];
  char layerName2[LEN_LAYER_NAME];
  char layerNameObstruction[LEN_LAYER_NAME];
  char layerNameNoData[LEN_LAYER_NAME];
  double xyzDeltaArray[3];
  double xyzDeltaArrayObstruction[3];
  double xyzDeltaArrayObserver[3];
  double xyzDeltaArrayNoData[3];
  double rubberbandDistance;
  double obstructionDistance;
  double nodataDistance;
  double xyzArray0[3];
  double xyzArray1[3];
  double xyzArray2[3];
  double xyzArrayObstruction[3];
  double xyzArrayObserver[3];
  double obstructionSkipDistance;
  //
  double cameraXViewpoint;
  double cameraYViewpoint;
  double cameraZViewpoint;
  //
  double cameraFieldOfView;
  double cameraStepFOV;
  //
  double cameraXAngle;
  double cameraYAngle;
  double cameraZAngle;
  double cameraStepAngle;
  //
  Int32 cameraRotateSpeed;
  //
  Int32 cameraXPan;
  Int32 cameraZPan;
  Int32 cameraStepPan;
  Int32 reversePanDirectionFlag;
  //
  Int32 reverseZoomDirectionFlag;
  Int32 cameraZoomSpeed;
  Int32 zoomAutomaticFlag;
  Int32 roamingZoomLock;
  Int32 cameraTotal;
  Int32 activeCameraID;
  Int32 cameraID;
  Int32 getFromCameraID;
  Int32 roaming_asDisplayed_Flag;
  double cameraInitialDistance;
  double cameraDistance;
  //
  Int32 xRotation_Lock_Flag;
  Int32 yRotation_Lock_Flag;
  Int32 zRotation_Lock_Flag;
  Int32 xRotation_Constrain_Flag;
  Int32 yRotation_Constrain_Flag;
  Int32 zRotation_Constrain_Flag;
  double xRotation_Constrain_From;
  double xRotation_Constrain_To;
  double yRotation_Constrain_From;
  double yRotation_Constrain_To;
  double zRotation_Constrain_From;
  double zRotation_Constrain_To;
  //
  double roaming_Eye[3];
  double roaming_Center[3];
  double roaming_Up[3];
  //
  double moveAheadBack_Step;
  double moveRightLeft_Step;
  double moveUpDown_Step;
  double moveTurn_Step;
public:		// User declarations
  __fastcall TTest_At3dx_LocationsForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTest_At3dx_LocationsForm *Test_At3dx_LocationsForm;
//---------------------------------------------------------------------------
#endif
