//----------------------------------------------------------------------------
//  Project Test_At3dx_Dll
//  MicroMouse Productions
//  Copyright  1999-2017. All Rights Reserved.
//  Author: Wayne Hogue
//
// this class was created for easily transferring code between
// Borland C++ Builder and Microsoft Visual C++
//
//----------------------------------------------------------------------------

#ifndef at3dx_my_functionsH
#define at3dx_my_functionsH

// String used in VCL
//
#ifdef USE_CPP_BUILDER
  #ifdef USE_BCB3
    #define VCL_STRING AnsiString
  #else
    #define VCL_STRING UnicodeString
  #endif
#endif

#ifndef USE_CPP_BUILDER
  #ifndef UInt32
    #define UInt32  unsigned __int32
  #endif

  #ifndef Int32
    #define Int32  __int32
  #endif

  #ifndef UInt8
    #define UInt8  unsigned __int8
  #endif
#endif

//----------------------------------------------------------------------------

Int32 my_makepath(char* pathPtr, size_t pathSize, const char* drivePtr,
                    const char* dirPtr, const char* fnamePtr, const char* extPtr);
Int32 my_splitpath(const char* pathPtr, char* drivePtr, size_t driveSize,
                     char* dirPtr, size_t dirSize,
                     char* fnamePtr, size_t fnameSize,
                     char* extPtr, size_t extSize);

void* my_memset(void* ptr, int c, size_t count);

Int32 my_strlen(const char* ptr);

Int32 my_sprintf(char* destPtr, size_t destSize, const char* format, ... );


Int32 my_strcat(char* destPtr, size_t destSize, const char* srcPtr);
Int32 my_strcpy(char* destPtr, size_t destSize, const char* srcPtr);
Int32 my_wcscpy(wchar_t* destPtr, size_t destSize, const wchar_t* srcPtr);
Int32 my_strncpy(char* destPtr, size_t destSize, const char* srcPtr, size_t count);
Int32 my_stricmp(const char* strPtr1, const char* strPtr2);

FILE* my_fopen(const char* filename, const char* mode);

#ifdef USE_CPP_BUILDER
void my_copystring_to_ansi_from_vcl(AnsiString* ansiStringPtr, VCL_STRING vclString);
#endif

float my_double_to_float(double doubleValue);

float my_change_256_int_to_float(Int32 intValue);
Int32 my_change_float_to_256_int(float floatValue);

#endif // at3dx_my_functionsH

